
Redmine - Defect #10454

searching for issues using the updated filter not working as expected

2012-03-15 17:05 - Gerry Hawkins

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.3.0

Description

I am searching with this filter:

issues updated between Jan-01-10 and Dec-31-10

to find issues that had some activity during 2010. However, there are issues that are not being found by this search. It would appear

that the above search is finding only issues with the last update time being in the search range. What I was expecting was that it

would find any issue that had any update during that time range.

Am I misunderstanding 'updated' means? Does it really mean 'last update'? If so the UI should be changed to explicitly say 'last

update'.

If my desired search is what it should do then I think there is a bug in that search.

Or should I upgrade to 1.4.0 to get #971 and do the search as spent time: between Jan-01-10 and Dec-31-10?

Thanks

Related issues:

Related to Redmine - Feature #18033: Rename "Created" and "Updated" to "Creat... New

History

#1 - 2012-03-24 17:03 - Jean-Philippe Lang

Updated actually means last update. This is the timestamp that is displayed on the issue list.

#2 - 2017-03-06 06:01 - Go MAEDA

- Category set to Issues filter

#3 - 2017-03-06 10:26 - Go MAEDA

Since "Updated by" and "Last updated by" filters are introduced for Redmine 3.4.0, I think it would better to change "Updated" to "Last update" or

"Last update date" for consistency.

#4 - 2017-10-02 08:44 - Go MAEDA

- Related to Feature #18033: Rename "Created" and "Updated" to "Created on" and "Last updated on" added
